curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-3d-object",
"input": {
"model": "triposr",
"image_url": "https://example.com/my-object.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-3d-object",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Create a 3D model from an image using TripoSR.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-3d-object",
"input": {
"model": "triposr",
"image_url": "https://example.com/my-object.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-3d-object",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 4 credits |
| Output | GLB (3D model) |
| Tool | image-to-3d-object |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | image-to-3d-object |
input.model | string | Yes | triposr |
input.image_url | string | Yes | URL of the image to convert to 3D |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-3d-object",
"input": {
"model": "triposr",
"image_url": "https://example.com/my-object.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-3d-object",
"createdAt": "2024-01-15T10:30:00.000Z"
}